# NASB Nitro Mod

This WIP mod modifies the gameplay to give a faster, more explosive experience.
_____

## 🚀 Installation

### Slime Mod Manager

Download the latest version of this mod from the [Slime Mod Manager](https://github.com/legoandmars/SlimeModManager/releases/latest).

## ⚠️ Warning

This mod might not be compatible with other mods. Simple mods like changes to the Replays UI are probably fine, but anything that modifies the game's or characters' mechanics probably will enter in conflict with **NASB: Nitro** and need to be uninstalled for Nitro to work correctly.

## 🙏 Special Thanks
#### To SanjiWatsuki for helping me get started and to megalon for his excellent mods that I used as examples to learn how to use Harmony, as well as his moveset editor that is used to modify the characters' movesets. You can get it here: https://github.com/megalon/nasb-moveset-editor

## ❔ FAQ

### "The mod is unfinished!"
Yep! This is a personal project, so I work on it whenever and however I want out of enjoyment. If anything is unfinished or broken, it might take a bit for me to fix it, just let me know and I'll try to fix it asap.

### "The game is unbalanced/way too jank!"
Probably? Without proper testers it's hard to fine tune stuff. My only goal is to speed up NASB gameplay and address some problematic mechanics, so in a sense of scale I might swing too far in the opposite direction. I am always open to criticism, so let me know your thoughts if you try Nitro!

### "How do I contact you?"
TruckerHat\#7425 on Discord! Please don't send me a friend request, just reach me through the Grinders or EUNASB servers:

NASB Grinders: https://discord.gg/yPayZdnQhh
EUNASB: https://discord.gg/Purpeaex7U

### "Do you plan on changing all the characters?"

Yes! It will be eventually the end goal, but they will be done progressively to be able to address them properly and get early polishing started on characters as soon as possible.

## 🔧 Dependencies

This project requires `YamlDotNet.dll`! 

It should be available in the installation, if not, you can download it as a NuGet package: https://www.nuget.org/packages/YamlDotNet/

## Changes from version 0.0.7

### General
Changed the inject method to hopefully cause less desyncs.

### Toph has boulder Cancels!
Hold special to charge boulder, and release it whenever Toph starts to glow to throw out Max Boulder. You can even do this during other animations!

She can't cancel off her dash attacks as normal anymore, now only through boulder cancels.

### Patrick
DTilt is faster but along with AFStrong is less active.

### Korra
LDA hitstun halved to prevent gimps at any %.

### Garfield
Blockstun of pies lowered to 6 frames from 10, 10, and 15 for cream, pink and purple respectively.
DStrong hitboxes are slightly smaller.
